Bug 513890 - phpldapadmin bundles jscalendar
phpldapadmin bundles jscalendar
Status: NEW
Product: Fedora
Classification: Fedora
Component: phpldapadmin (Show other bugs)
23
All Linux
low Severity medium
: ---
: ---
Assigned To: Dmitry Butskoy
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2009-07-26 20:23 EDT by David Nalley
Modified: 2016-11-24 05:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:18:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Nalley 2009-07-26 20:23:50 EDT
Description of problem:
Despite it living under the js directory, phplayersmenu is bundled in phpldapadmin:
http://phplayersmenu.sourceforge.net/



There is currently a review for phplayersmenu 
https://bugzilla.redhat.com/show_bug.cgi?id=513636

phplayersmenu also apparently bundles:
http://pear.php.net/package/HTML_Template_PHPLIB/



Version-Release number of selected component (if applicable): phpldapadmin-1.1.0.7-1.fc11.noarch
Comment 1 Dmitry Butskoy 2009-07-27 08:54:43 EDT
I don't quite understand the issue. Phpldapadmin is packaged for years without any conflicts...

Could you provide a patch, or report the issue upstream (http://phpldapadmin.sourceforge.net) ?
Comment 2 David Nalley 2009-07-27 22:47:35 EDT
It's not an upstream issue - many upstreams bundle libraries to make it easier for end users, but the packaging guidelines prohibit it. 

There is a small snippet here (there is another mention as well, but can't find it in my wiki search):
http://fedoraproject.org/wiki/Packaging:Guidelines#No_inclusion_of_pre-built_binaries_or_libraries

A better explanation of the issue was written by Toshio and included here: 
http://fedoraproject.org/wiki/No_Bundled_Libraries
Comment 3 David Nalley 2009-07-27 22:57:49 EDT
The other packaging guideline that deals with this issue is: 

https://fedoraproject.org/wiki/Packaging:Guidelines#Duplication_of_system_libraries
Comment 4 Toshio Kuratomi 2009-07-27 23:03:56 EDT
Sometimes upstream can be convinced to change to not bundle libraries but whether they do or not, this is something that we fix in Fedora.
Comment 5 Dmitry Butskoy 2009-07-28 07:40:47 EDT
Oh, I've understood. :)

Unfortunately, the bundled library seems to be differ with the upstream's phplayersmenu. The list of different files (for the same version of 3.2.0-rc):

libjs/layerstreemenu.ijs
lib/PHPLIB.php
lib/layersmenu-common.inc.php
lib/treemenu.inc.php

Perhaps phpldapadmin's author had tried to alter the phplayersmenu library for some reasons...
Comment 6 Bug Zapper 2010-04-28 05:22:21 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 09:51:29 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 David Nalley 2010-06-28 10:19:27 EDT
reopening. This has nothing to do with the F11 release, but rather the package in general.
Comment 9 Bug Zapper 2011-06-02 13:53:09 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2011-06-27 10:18:43 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Dominik 'Rathann' Mierzejewski 2014-03-07 06:35:52 EST
Reopening, this is still not fixed in rawhide (1.2.3-5).

htdocs/js/layersmenu-browser_detection.js looks like a version of phplayersmenu-3.2.0-rc.tar.gz/lib/layersmenu-browser_detection.php rewritten in JavaScript, so this could be considered a fork.

However, bundling jscalendar is still an issue. It looks like version 1.0 is bundled here:

htdocs/js/jscalendar
Comment 12 Dominik 'Rathann' Mierzejewski 2014-03-07 06:44:50 EST
jscalendar seems to be available on sourceforge: http://sourceforge.net/projects/jscalendar/ , however it looks unmaintained and the upstream website is practically gone, showing only the documentation (but no sources) for jscal2, which seems to be a successor to jscalendar.

Either way, jscalendar seems to be bundled at least in zoneminder as well (bug 1073871).
Comment 13 Jan Kurik 2015-07-15 11:21:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 14 Fedora End Of Life 2016-11-24 05:25:15 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.